Skip to main content
POST
Create account checkout session

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

account_id
string<uuid>
required

Body

application/json
type
enum<string>
required

Subscription tier.

Available options:
free,
pro,
enterprise
cycle
enum<string>
required

Billing cycle

Available options:
monthly,
yearly
success_url
string<uri>

URL to redirect to after successful payment

cancel_url
string<uri>

URL to redirect to if payment is canceled.

Response

Stripe checkout session URL for a new subscription.

checkout_url
string<uri>
required

Stripe checkout session URL for a new subscription.

session_id
string

Checkout session ID, when returned